# Credits Credits ## Initiates workflow to warm up inventory transactions - [POST /credits/warmUpStepFunctions](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/warmupstepfunctions.md) ## Gets all of the credits in the system. - [GET /credits/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/listcredits.md): This method will scan all credits and and return them to the caller. ## Creates a new credit record that does not already exist. - [POST /credits/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/processcredit.md): This method will auto-generate an ID and create a new credit. If an ID is specified for the credit, an error will be thrown. ## Execute Batch Operations - [POST /credits/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified batch_id - [GET /credits/{tenantId}/batch/{batch_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/listcreditsbybatchid.md): Returns a list of records with the specified batch_id ## Returns a list of records with the specified contact_id - [GET /credits/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/listcreditsbycontactid.md): Returns a list of records with the specified contact_id ## Creates a new credit record that does not already exist. - [POST /credits/{tenantId}/manual](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/createcredit.md): This method will auto-generate an ID and create a new credit. If an ID is specified for the credit, an error will be thrown. ## Returns a list of records with the specified organization_id - [GET /credits/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/listcreditsbyorganizationid.md): Returns a list of records with the specified organization_id ## Returns a list of records with the specified owner_id - [GET /credits/{tenantId}/owner/{owner_type}/{owner_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/listcreditsbyownerid.md): Returns a list of records with the specified owner_id ## Searches for credits using predefined parameters - [POST /credits/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/searchforcredits.md): Searches for credits using predefined parameters ## Creates a new credit that doesn't already exist - [POST /credits/{tenantId}/sync](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/processcreditsync.md): This method will auto-generate an ID and create a new credit. If an ID is specified for the credit, an error will be thrown. ## Returns a credit from the system by its ID. - [DELETE /credits/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/deletecredit.md): This method will delete a credit with the specified ID. ## Returns a credit from the system by its ID. - [GET /credits/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/getcredit.md): This method will look up a credit by the specified ID and return it back. ## Partially updates a credit with the specified ID. - [PATCH /credits/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/patchcredit.md): This method will patch an existing credit with the specified ID, using the HTTP PATCH specification. ## Updates a credit with the specified ID. - [PUT /credits/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/updatecredit.md): This method will update an existing credit with the specified ID.